%define name libao
%define version	0.8.0
%define release 3mdk
%define lib_name_orig libao
%define lib_major 2
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: Cross Platform Audio Output Library
Version: %{version}
Release: %{release}
Group: System/Libraries
Copyright: GPL
URL: http://www.vorbis.com/
Source:	ftp://ftp.xiph.org/pub/ao/%{name}-%{version}.tar.bz2
Patch0: libao-fix-optflags.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: arts libesound-devel alsa-lib-devel perl libarts2-devel
# Author: Stan Seibert <indigo@aztec.asu.edu>

%description
Libao is a cross platform audio output library. It currently supports ESD,
OSS, Solaris, and IRIX.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
perl -pi -e 's|plugindir=.*|plugindir=%{_libdir}/%{lib_name}|' configure.in
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean 
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libao.so.*
%{_libdir}/%{lib_name}

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc CHANGES doc/*.{html,c,css}
%{_includedir}/ao
%{_libdir}/libao.so
%{_mandir}/man5/libao.conf.5*
%{_datadir}/aclocal/ao.m4

%changelog
* Mon Aug 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.0-3mdk
- fix buildrequires

* Mon Aug 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.0-2mdk
- added man page to the devel package
    by Gotz Waschk <waschk@linux-mandrake.com>

* Tue Aug 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.0-1mdk
- new version
- patch1 integrated upstream
- fix non-versioned-file-in-library-package

* Sat Jun 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.0-1mdk
- new version

* Thu Apr 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-2mdk
- don't forever block on a busy dsp

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0
- fix provides
- fix buildrequires

* Mon Dec 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-2mdk
- fixes optflags

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-1mdk
- Package for Linux-Mandrake

* Sun Sep 03 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
